## Computations for a single fund pooling all the commodities together

## Needs to be run after "budgets.R"

source("common.R")

sims.pool <- list()

first <- TRUE

for (comm in names(sims))
{
  data(list = sims[[comm]])
  s <- eval(as.symbol(sims[[comm]]))
  rm(list = sims[[comm]])

  if (first)
    attr(sims.pool, "h.years") <- attr(s, "h.years")
  else
    if ((attr(sims.pool, "h.years") != attr(s, "h.years")) || (length(sims.pool) != length(s)))
      stop("Impossible to pool together these commodities...")

  v <- get.ref.volume.fit(attr(s, "fit"))

  for(i in 1:length(s))
    sims.pool[[i]] <- if (first) { 0 } else { sims.pool[[i]] } + v * s[[i]]

  first <- FALSE
}

class(sims.pool) <- "sims"

save(sims.pool, file="data/sims.pool.RData")

budgets.pool <- budgets.sims(sims.pool, sym = TRUE, asym = TRUE)
save(budgets.pool, file="data/budgets.pool.RData")

## Generates table 3.11 page 31 of Villemot (2004)
print(budgets.table.onecomm(budgets.pool$budgets.sym, ref.price = get.ref.value.pool(fits), ref.volume = 1))
